# 68. Mutação: Atualizar Estatísticas de "VectorAnalysisMap"

Atualiza as estatísticas do mapa de Zonas. Pode ser usado quando a Mesclagem/Divisão de Zonas é feita na interface.

{% hint style="info" %}
Verifique <https://geopard.tech/blog/merge-and-split-zones/> artigo.&#x20;
{% endhint %}

Mutação para atualizar estatísticas sem salvá-las no banco de dados. A resposta contém as estatísticas recalculadas em JSON.

{% code overflow="wrap" lineNumbers="true" %}

```graphql
mutação RefreshVectorAnalysisStatistics {
  refreshVectorAnalysisMapStatistics(
    input: { 
      uuid: "<placeholder_of_vectoranalysismap_uuid>",
      fieldUuid: "<placeholder_of_field_uuid>",
      areaUnit: <area_unit>,
      zonesMapGeojson: "<geojson_with_escaped_doubel_quotes>"
    }
  )
}
```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/pt-br/docs-da-api/visao-geral-das-solicitacoes-da-api-do-geopard/68.-mutacao-atualizar-estatisticas-de-vectoranalysismap.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
